package com.inkasso.factoring.financingmanagement.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 收放款计划金额分配实体类
 * @Author : L.Jia
 * @Date: 2024-04-09 14:36
 */
public class PayCollPlanFactoringAmountAllocation {

    private Long id;

    /**
     * 实收金额
     */
    private BigDecimal actualAmount;

    /**
     * 实收日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date actualDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Date getActualDate() {
        return actualDate;
    }

    public void setActualDate(Date actualDate) {
        this.actualDate = actualDate;
    }
}
